Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 22359)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 22360)
@@ -1968,5 +524,1494 @@
         jQuery('#derivativeChecked' + options.pictureDeriv).css('visibility', 'visible');
       }
-      pictureDeriv = options.pictureDeriv;
+      return options.pictureDeriv;
+    };
+
+
+    /***************************************************************************
+    * 
+    **************************************************************************/
+    jQuery("#derivativeSwitchBox a").click(function (e) {
+      Affiche_limite(pictureSelType_user);
+      retour = decode_href(this);
+      theImg = document.getElementById(theMainImage_id.replace("#", ""));
+      if (theImg) {
+        // options.pictureDeriv = retour.pictureDeriv;
+        if (this.name) {
+          options.pictureSelType = this.name;
+          spans = jQuery("#derivativeChecked" + this.name).next();
+          if (retour.pictureSelType != this.name)
+            spans.attr("href", "javascript:" +
+  "ChangeImgSrc('" + retour.source + "," +
+  retour.pictureDeriv + "," +
+  retour.pictureMap + "," + options.COOKIE_PATH + "')");
+        }
+        options.pictureSelType = retour.pictureSelType;
+        options.pictureDeriv = retour.pictureDeriv;
+        options.pictureMap = retour.pictureDeriv;
+        Save_cookies(options);
+        if (typeof Autosize_resize == "function")
+          setTimeout(function (i) {
+            Autosize_resize(false, options);
+          }, 2);
+
+      }
+    });
+    // __________ fin click #derivativeSwitchBox a ____________
+    Affiche_limite = function (pictureSelType_Maxi) {
+      n = 0;
+      var pt = new Array();
+      path_names = new Array();
+      jQuery("#derivativeSwitchBox a").css('visibility', 'hidden');
+      // jQuery(".switchCheck").css('visibility', 'hidden');
+      var maxi_display = false;
+      jQuery("#derivativeSwitchBox a").each(function (i) {
+        href_path = jQuery(this).attr("href");
+        if (!href_path) {
+          href_path = jQuery(this).html();
+          return;
+        }
+        pt = href_path.replace(/(javascript|changeImgSrc)|[('):]/gi, "");
+
+        patname = href_path.replace("javascript\:", "");
+        if (typeof old_path == "undefined") old_path = patname;
+        pt = pt.split(",");
+        tsz = pt[pt.length - 1];
+        if (!maxi_display)
+          jQuery(this).css('visibility', 'visible');
+        else {
+          jQuery(this).next().next().remove();
+          jQuery(this).next().remove();
+          jQuery(this).remove();
+        }
+        // --- recherche limite ---
+
+        if (!options.valide && (tsz == "Autosize" || tsz == "SelMaxi")) {
+          jQuery(this).next().next().remove();
+          jQuery(this).next().remove();
+          jQuery(this).remove();
+        } else {
+          if (tsz == "Original" && (pictureSelType_Maxi != "Autosize" && pictureSelType_Maxi != "SelMaxi")) {
+            maxi_display = true;
+          } else if (tsz == pictureSelType_Maxi && (pictureSelType_Maxi != "Autosize" && pictureSelType_Maxi != "SelMaxi")) {
+            maxi_display = true;
+
+          } else if (tsz == "Autosize" || tsz == "SelMaxi") {
+            patname = old_path.replace("')", "','" + tsz + "')");
+          } else
+            old_path = patname;
+          path_names.push(patname);
+        }
+        // --- type en cours ---
+        if (tsz.match(RegExp("^" + options.pictureDeriv, "gi"))) {
+          us = n;
+        }
+        n++;
+      });
+    }; // _____ fin Affiche_limite ____
+    if (DEBUG_autosize.match(new RegExp("noresize", "gi"))) {
+      Ajuste_Liens();
+      Save_cookies();
+      return;
+
+    }
+    // auto_details
+    // ==== limite affichage selection = select_type ====
+
+
+
+
+    /***************************************************************************
+    * window LOAD
+    **************************************************************************/
+    jQuery(window).load(function () {
+      location_href = location.href;
+      // =======================================================================
+      infos_theMainImage = jQuery(theMainImage_id).infos({ absolute: true });        // Image
+      if (infos_theMainImage.src.match(RegExp("gif", "gi"))) {
+        setTimeout(function (i) {
+          jQuery(window).load();
+        }, 500);
+        return;
+      };
+      infos_theImageAndInfos = jQuery(theImageAndInfos_id).infos();         // Cadre
+      infos_theContainer = jQuery(theImage_id).infos({ absolute: true });   // conteneur
+
+      // general
+      if (infos_theMainImage.width == 0) {
+        if (Type_Img == "pamoorama") {
+          theMainImage_id = "#pamoorama";
+          infos_theMainImage = jQuery(theMainImage_id).infos({ absolute: true });
+          infos_theMainImage.width = options.scaled_width;
+          infos_theMainImage.height = options.scaled_height;
+          options.valide = true;
+        } else if (Type_Img == "charlie") {
+          theMainImage_id = "#charlie";
+          infos_theMainImage = jQuery(theMainImage_id).infos({ absolute: true });
+          options.valide = true;
+        } else if (Type_Img == "iframe") {
+
+          infos_theMainImage = jQuery("#iframe").infos({ absolute: true });
+          options.valide = true;
+          infos_theMainImage.width = infos_theContainer.general.width;
+          infos_theMainImage.height = infos_window.height - infos_theContainer.top - options.marge_basse;
+          jQuery("#iframe").width(infos_theMainImage.width);
+          jQuery("#iframe").height(infos_theMainImage.height);
+
+        } else {
+          jQuery("img").each(function (i) {
+            imgSrc = options.imgSrc;
+          });
+          infos_theMainImage = jQuery("#theImage img").infos({ absolute: true });
+        }
+        if (infos_theMainImage.id == "") {
+          jQuery("#theImage img").attr("id", "theMainImage");
+          infos_theMainImage = jQuery(theMainImage_id).infos({ absolute: true });
+        }
+
+      }
+      if (Type_Img == "charlie" || Type_Img == "iframe") {
+        options.scaled_width = options.theMainImageWidth;
+        options.scaled_height = options.theMainImageHeight;
+      }
+
+      if (options.pictureSelType != "Autosize" && options.pictureSelType != "SelMaxi") {
+        jQuery('#derivativeSwitchLink').show();
+      }
+      if (test_theme("simple")) {
+        jQuery(theMainImage_id).css({ maxWidth: "none" });
+        theImageAndInfos_id = "#content";
+        infos_theImageAndInfos = jQuery(theImageAndInfos_id).infos();  // Cadre
+        // general
+        infos_theContainer.height = infos_window.height - infos_theContainer.top;
+        // jQuery(theImage_id).height(infos_theContainer.height);
+
+      } else {
+        infos_theImageAndInfos = jQuery(theImageAndInfos_id).infos();  // Cadre
+        // general
+        if (infos_theImageAndInfos.visible == false)
+          theImageAndInfos_id = "#imageContainer";
+      }
+
+
+      imageInfos_id = "#imageInfos";
+      content_id = "#content";
+      infos_content = jQuery(content_id).infos({ absolute: true });                 // conteneur
+      infos_imageInfos = jQuery(imageInfos_id).infos({ absolute: true });            // information
+      infos_copyright = jQuery("#copyright").infos({ absolute: true });
+
+
+      if (infos_theContainer.top > infos_window.height) {
+        zheight = infos_window.height - infos_content.top;
+      } else {
+        zheight = infos_window.height - (infos_theContainer.top);
+      }
+
+
+      if (options.check_desc_v) { }
+
+      infos_comments = jQuery("#comments").infos({ absolute: true });
+      infos_Licence = jQuery(".licencetag").infos({ absolute: true });
+      infos_imageComment = jQuery(imageComment_id).infos({ absolute: true });
+
+      if (test_theme("simple")) {
+
+
+      } else {
+        if (test_theme("stripped")) {
+
+        } else
+
+          if (test_theme("blanc , pure, hr_ ")) {
+            options.marge_gauche += 10;
+            options.marge_droite += 10;
+          }
+      }
+      // ==============================================================================
+
+      infos_theMainImage.height = infos_theMainImage.height | zheight;
+
+      if (infos_theMainImage.height > 0) {
+        rapport_i = Math.ceil(infos_theMainImage.width / infos_theMainImage.height);
+
+        Zone_image = {
+          image_init: {
+            width: options.scaled_width, height: options.scaled_height,
+            rapport: options.ratio
+          },
+          image: {
+            width: infos_theContainer.width,
+            height: infos_window.height - infos_theContainer.top - options.marge_basse,
+            rapport: rapport_i
+          },
+          container: {
+            width: infos_theContainer.general.width,
+            height: zheight,
+            margesWidth: infos_window.width - infos_theContainer.width
+          }, marges: {
+            height: 0,
+            width: 0
+          },
+          zoom: Math.ceil(infos_theContainer.width / infos_theMainImage.width)
+        };
+
+      }
+      // ========================================================================
+
+      /***********************************************************************
+      * RESIZE (une fois document chargé)
+      **********************************************************************/
+
+      jQuery(window).resize(function (event, ui) {
+        Autosize_resize(true, options);
+      });
+      // _____________ widow.resize _______________
+
+      type_src = "div";
+      old_window = { width: 0, height: 0 };
+      List_autosize = new Array();
+      nu_img = 0;
+      tempo = 0;
+
+
+      infos_llgbo = jQuery(llgbo_id).infos({ absolute: true });
+      infos_llgboh2 = jQuery("#llgboh2").infos({ absolute: true });
+      marges_llgbo = 0;
+      // ==========================================================================================
+      init_gen();
+    });
+    // __________________window.onload_________________
+
+
+    // =============================================================
+    // REPONSE ACTION
+    // =============================================================
+    theMainImage_st = false;
+    jQuery("#reset").click(function () {
+      location.reload();
+    });
+
+
+    // ===========================================================
+    // REPONSE TRIGGER
+    // ===========================================================
+    jQuery('#ret_autosize').live('ON', function (e) {
+      if (nu_img == "") nu_img = 8;
+      jQuery(jQuery('.debug').get(nu_img)).trigger('ON');
+
+    });
+
+    // ==========================================================
+    jQuery("map area").mouseover(function (e) {
+      try {
+        nok = theImg.useMap;
+        hok = this;
+      }
+      catch (r) {
+
+      }
+    });
+
+    // ==================================
+    // jQuery("#llgbo").trigger("ON");
+    // ==================================
+    jQuery(llgbo_id).live('ON', function (e) {
+      n_id = this;
+      infos_llgbo = jQuery(llgbo_id).infos();
+      if (infos_llgbo.visible == false) return;
+
+      marges_llgbo = 0;
+      if (infos_llgbo.height > 0) {
+        infos_llgboframe1 = jQuery(llgbo_id + " div:last").infos();
+        infos_llgboframe31 = jQuery(llgbo_id + "  div:first").infos();
+        // =============================================
+        ll2 = infos_llgboframe1.width; // llgboframe1 interieur
+        ll1 = infos_llgboframe31.exterieur.width; // llgboframe31 avec border
+        // width
+        options.marges_llgbo = (ll1 - ll2);
+        infos_llgboh2 = jQuery("#llgboh2").infos();
+      }
+    });
+    // ==============================
+    // jQuery("#mapPicture").trigger("ON");
+    // ==============================
+    jQuery("#mapPicture").live('ON', function (e) {
+      p2 = jQuery("#infoSwitcher").infos();
+    });
+    // ==============================
+    // jQuery("#map").trigger("ON");
+    // ==============================
+    jQuery("#map").live('ON', function (e) {
+      p2 = jQuery("#map").infos();
+    });
+    // ===================================
+    // jQuery(theImage_id).trigger("ON");
+    // ===================================
+    jQuery("#imageInfos").live('on', function (e) {
+      target = e.target.id;
+    });
+
+    // ===================================
+    // jQuery(theImage_id).trigger("ON");
+    // ===================================
+    jQuery(theImage_id).live('ON', function (e) {
+      target = e.target.id;
+
+      id = this.id;
+      Select_Image(); // +calcul
+    });
+
+    jQuery("#theMainImage").load(function (e) {
+      if (!e.target.src) return;
+      if (e.target.src.match(RegExp("gif", "gi"))) {
+        target = theImg.src;
+      };
+
+    });
+    jQuery("#theMainImage").resize(function (e) {
+
+      if (!e.target.src) return;
+      //loaded ajax .gif
+      if (e.target.src.match(RegExp("\.gif", "gi"))) {
+        target = theImg.src;
+      };
+
+    });
+
+
+    // =================================================================
+    jQuery(document).live('gallyInterfaceReady', function (e) {
+      i = jQuery(this).text();
+      jQuery(this).trigger('ON');
+    }
+
+          );
+
+
+    /***************************************************************************
+    * 
+    **************************************************************************/
+    jQuery(theImage_id).resize(function (e) {
+      nu_img = 0;
+    });
+    jQuery("#menuSwitcher,#infoSwitcher").click(function (e) {
+      options.set_sw = this.id;
+      setTimeout(function () { div_resize(); }, 10);
+      nu_img = 0;
+    });
+
+    div_resize = function (i) {
+
+      jQuery(theImage_id).trigger("resize");
+      /*
+      * if (jQuery(theImage_id).width() != old_width) { setTimeout(function () {
+      * div_resize() }, 10); }
+      */
+    };
+    // ===========================================
+    // jQuery("#theImageAndInfos").trigger("ON");
+    // ===========================================
+    jQuery("#theImageAndInfos").live('ON', function (e) {
+      infos_theImageAndInfos = jQuery("#theImageAndInfos").infos();
+      // setTimeout(function () { Autosize_resize(true) }, 100);
+      nu_img = 0;
+    }); // fin click #theImageAndInfos ON
+
+
+    jQuery("#theImageAndInfos").resize(function (e) {
+      nu_img = 0;
+    });
+
+
+    jQuery("#linkAutosize").click(function (e) {
+      nu_img = 0;
+    });
+    // ==================================
+    //
+    // ===================================
+    jQuery('#derivativeCheckedAutosize').click(function () {
+      try {
+        pathnames = jQuery(this).attr("href").split(":");
+
+        // eval(pathnames[1]);
+      } catch (e) {
+        n = false;
+      }
+    }); // fin click derivativeCheckedAutosize
+    // ====================================================
+    if (typeof decode_href != 'function') {
+      function decode_href(myObj) {
+        retour = { source: null,
+          pictureDeriv: null,
+          pictureMap: null,
+          pictureSelType: null
+        };
+        hrefPath = jQuery(myObj).attr("href");
+        if (hrefPath.indexOf("changeImgSrc") < 0) {
+          pt = hrefPath;
+        } else {
+          pt = hrefPath.replace(/(javascript|phpWGOpenWindow|javascript|changeImgSrc)|[('):]/gi, "");
+
+        }
+        pt = pt.split(",");
+        retour.source = pt[0];
+        if (hrefPath.indexOf("phpWGOpenWindow") < 0) {
+          retour.pictureDeriv = pt[1];
+          retour.pictureMap = pt[2];
+          retour.pictureSelType = pt[pt.length - 1];
+        } else {
+          retour.pictureDeriv = options.pictureDeriv;
+          retour.pictureMap = options.pictureMap;
+          retour.pictureSelType = options.pictureSelType;
+        }
+
+        return retour;
+      }
+    }
+
+
+
+    jQuery("input").click(function () {
+      if (this.name.match(RegExp("_enabled", "gi"))) {
+        sel = "[name*=" + this.name + "]";
+        obj = jQuery("tr" + sel);
+
+        if (this.checked)
+          obj.css({ backgroundColor: "green", color: "white" });
+        else
+          obj.css({ backgroundColor: "red", color: "white" });
+        return;
+      }
+      return;
+    });
+
+
+    // ====================================
+    Autosize_init = function (name, value) {
+      img_defaut = { height: options.scaled_height, width: options.scaled_width };
+      img_reelle = { height: options.theMainImageHeight, width: options.MaintheImageWidth };
+      img_container = { height: options.theContainerHeight, width: options.theContainerWidth };  // taille
+      // initiale
+
+      img_finale = img_init;
+
+      useMap = infos_theMainImage.useMap; // #mapmedium
+
+      useMap = options.pictureMap; // #mapxxx
+      pictureDeriv = options.pictureDeriv; // picturederiv xxx
+
+
+      old_img = options.imgSrc;
+      old_window_height = options.windowHeight || jQuery(window).height();
+      old_window_width = options.windowWidth || jQuery(window).width();
+      old_img_h = options.imgHeight;
+      old_img_w = options.imgWidth;
+      if (infos_theMainImage.visible == true) {
+        theImg = document.getElementById(theMainImage_id.replace("#", ""));
+        theImg.useMap = useMap;
+      }
+
+
+    };
+    // ____________________ Autosize_init _____________________
+
+    /***************************************************************************
+    * Autosize_resize
+    **************************************************************************/
+    Autosize_resize = function (force, parametres) {
+      if (!force) {
+        cookis = Get_cookies();
+        if (cookis.pictureSelType != options.pictureSelType) {
+          n = 0;
+        }
+      }
+      nauto = Get_dimensions(true, parametres);
+      if (nauto == "Wait") {
+        setTimeout(function (force, parametres) { Autosize_resize(force, parametres); }, 100);
+        return;
+      }
+
+      if (!options.valide || !nauto || (options.pictureSelType != "Autosize" && options.pictureSelType != "SelMaxi")) {
+        if (options.imageAutosize == true) {
+          options.pictureSelType = options.pictureDeriv;
+          Zone_image.image_init.width = jQuery(theImg).width();
+          Zone_image.image_init.height = jQuery(theImg).height();
+          set_cl("no");
+          Set_llbgo(true);
+          return;
+        }
+        // jQuery(theImg).width(Zone_image.image_init.width);
+        for (n in options.liste_type) {
+          if (options.liste_type[n][0] == options.pictureSelType) {
+            Zone_image.image_init.height = options.liste_type[n][3];
+            Zone_image.image_init.width = options.liste_type[n][2];
+            break;
+          }
+        }
+
+
+        jQuery(theImg).height(Zone_image.image_init.height);
+        set_cl("no");
+        Set_llbgo(true);
+        return;
+      }
+      infos_theContainer = jQuery(theImage_id).infos({ absolute: true });
+      if (typeof img_finale.width == "undefined")
+        img_finale = { width: Zone_image.image.width, height: Zone_image.image.height };
+      if (img_finale.width && (img_finale.width != Zone_image.image.width ||
+          img_finale.height != Zone_image.image.height)) {
+        if (Type_Img == "pamoorama") {
+          img_finale.height = Zone_image.image.height;
+        } else
+          img_finale = { width: Zone_image.image.width, height: Zone_image.image.height };
+      }
+
+      // ======================================================
+
+      affiche_debug({
+        Debug1: Debug_info(1, "Cont:" + infos_theContainer.width
+    + " X " + infos_theContainer.height
+    + " IMG: " + img_finale.width
+    + " X " + img_finale.height
+    + " mgw : " + Zone_image.marges.width
+    , "->")
+      });
+      if (Type_Img == "pamoorama") {
+        // img_finale.width = Zone d'affichage :
+
+        if (nopano) {
+          jQuery(theMainImage_id).width(img_finale.width);
+          jQuery(theMainImage_id).height(img_finale.height);
+          infos_pamoorama = jQuery(theMainImage_id).infos({ absolute: true });
+          Set_Pamoorama({ width: img_finale.width, height: img_finale.height });
+        }
+
+      } else if (Type_Img == "panorama") {
+        // jQuery("#pamoorama").width(img_finale.width);
+        // jQuery("#pamoorama").height(img_finale.height);
+
+
+
+        // jQuery("#theImage img.simple_panorama").panorama(asp_options);
+      } else {
+        if (options.imageAutosize == false)
+          if (options.pictureSelType == "Autosize" || options.pictureSelType == "SelMaxi") {
+            jQuery(theMainImage_id).height(Zone_image.image.height);
+            r1 = infos_theContainer.width / infos_theContainer.height;
+            jQuery(theMainImage_id).css("margin-top", options.marge_haute);
+          } else {
+            jQuery(theMainImage_id).width(Zone_image.image_init.width);
+            jQuery(theMainImage_id).height(Zone_image.image_init.height);
+          }
+        if (Type_Img == "charlie" || Type_Img == "iframe") {
+          init_w1 = Zone_image.image.width;
+          init_h1 = Zone_image.image.height;
+          if (options.pictureSelType != "Autosize" && options.pictureSelType != "SelMaxi") {
+            init_w1 = Autosize_options.ideal_size_width;
+            init_h1 = Autosize_options.ideal_size_height;
+          }
+          if (Type_Img == "charlie") {
+            the_mainImage_html = jQuery(theMainImage_id).html();
+            img_objs = jQuery("#charlie object,#charlie embed");
+            if (img_objs.length > 0) {
+              jQuery(img_objs).each(function (e) {
+             //   init_h1 = jQuery(this).height();
+             //   init_w1 = jQuery(this).width();
+              });  
+            }
+            dp1 = jQuery("#charlie").offset();
+            dp = jQuery(img_objs).offset();
+            if (dp) { if (wpng == 0) wpng = Math.abs(dp.left - dp1.left) * 2; }
+            png_h = init_h1; w01 = init_w1 - wpng;
+            if (!png_h) {
+              png_h = jQuery("#theMainImage").height();
+              h01 = png_h;
+            }
+            else
+              h01 = Math.ceil(w01 / Zone_image.image.rapport);
+            // ==== Zone Affichage  ===== 
+            if (h01 > png_h) {
+              h01 = png_h;
+              w01 = Math.ceil(h01 * Zone_image.image.rapport);
+            }
+            jQuery("#theMainImage").height(png_h );
+            jQuery("#theMainImage").width(w01 + wpng);
+            jQuery("#theMainImage").css({ verticalAlign: "middle",
+              textAlign: "center", margin: "auto"
+            });
+
+            if (jQuery("#theMainImage_vid").length > 0) {
+              jQuery("#theMainImage_vid").attr("width", w01);
+              jQuery("#theMainImage_vid").attr("height", h01);
+            }
+            if (jQuery("video").length > 0) {
+              jQuery("video").attr("width", w01);
+              jQuery("video").attr("height", h01);
+            }
+            jQuery("#" + Type_Img).height(png_h);
+            jQuery("#" + Type_Img + "div").width(w01);
+            jQuery(theImage_id).css({ height: "auto" });
+
+
+       //     jQuery("#charlie object").attr("width", w01);
+            jQuery("#charlie	object").attr("height", h01);
+        //    jQuery("#charlie embed").attr("width", w01); // firefox opera
+            jQuery("#charlie embed").attr("height", h01);
+            jQuery("#charlie  embed").css("margin", "auto");
+
+          } else {
+            jQuery(theImage_id).css({ height: "auto" });
+            jQuery("#theMainImage").css({ width: "auto", height: "auto" });
+            jQuery("#" + Type_Img).attr("width", init_w1 - (infos_theMainImage.borderwidth.left + infos_theMainImage.borderwidth.right));
+            jQuery("#" + Type_Img).attr("height", init_h1 - (infos_theMainImage.borderwidth.top + infos_theMainImage.borderwidth.bottom));
+          }
+          // jQuery("#" + Type_Img).show(fade_in);
+        }
+
+
+      }
+
+      set_cl();
+      Set_llbgo(true);
+      return true;
+    };
+    // _________________Autosize ____________________________________
+
+
+    /***************************************************************************
+    * theMainImage_id=pamoorama
+    **************************************************************************/
+    /***************************************************************************
+    * Wait_pamoorama
+    **************************************************************************/
+
+    Wait_pamoorama = function () {
+      if (Type_Img != "pamoorama") return true;
+      if (nopano == true) return true;
+      mypanorama = window.myPamoorama;
+      if (mypanorama) {
+        jQuery(mypanorama).live('ON', function (e) {
+          jQuery(jQuery('.debug').get(1)).trigger('ON');
+          Autosize_resize(true, options);
+          jQuery("#pamoorama").fadeTo(fade_in + 20, 1);
+        });
+
+        // ===============================================
+        // jQuery(theImage_id).trigger("Start_right");
+        // ===============================================
+        jQuery(mypanorama).live('Start_right', function (e) {
+          if (typeof Zone_image == "undefined") return
+          test_w = window.myPamoorama.autoSlideFx.to;
+          test_w = window.myPamoorama.autoScrollFx.to;
+          nf = jQuery("#pamoorama_thumb").height();
+          jQuery("#pamoorama_thumb img").width(200);
+          jQuery("#pamoorama_thumb img").height(nf);
+          // 200=window.myPamoorama.imageWidth
+          // frame = Zone_image.container.width
+          nw = (200 * Zone_image.image.width) / window.myPamoorama.imageWidth;
+          jQuery("#pamoorama_frame").width(nw);
+        });
+        // ===============================================
+        // jQuery(theImage_id).trigger("Start_left");
+        // ===============================================
+        jQuery(mypanorama).live('Start_left', function (e) {
+          if (typeof Zone_image == "undefined") return
+          jQuery(theImage_id).show(0);
+          window.myPamoorama.autoSlideFx.to = 0;
+          test_w = window.myPamoorama.autoSlideFx.to;
+          test_w = window.myPamoorama.autoScrollFx.to;
+          nf = jQuery("#pamoorama_thumb").height();
+          jQuery("#pamoorama_thumb img").width(200);
+          jQuery("#pamoorama_thumb img").height(nf);
+        });
+      }
+      // =============================================================
+      if (mypanorama && typeof mypanorama.imageHeight != "undefined" && mypanorama.skipInit == true) {
+        nopano = true;
+        Zone_image.image_init = {
+          width: mypanorama.imageWidth,
+          height: mypanorama.imageHeight,
+          rapport: Math.ceil(mypanorama.imageWidth / mypanorama.imageHeight)
+        };
+        Autosize_resize();
+
+      } else {
+
+        setTimeout(function () {
+          Wait_pamoorama();
+        }, 500);
+      };
+
+      return true;
+
+    };
+    // __________________ Wait_pamoorama ______________________
+    jQuery(".pwg-icon-clock-minus, .pwg-icon-clock-plus").click(function (i) {
+
+    }).mouseover(function (i) {
+
+    });
+
+
+
+    /***************************************************************************
+    * 
+    **************************************************************************/
+    Wait_Affichage = function () {
+      Wait_Affichage_st = false;
+      while (Wait_Affichage_st == false) {
+        jQuery.noop();
+        Wait_Affichage_st = Wait_Affichage_time();
+      }
+    };
+    // __________________ Wait_Affichage ______________________
+
+
+    Wait_Affichage_time = function () {
+      // if (nu_img > 1) return;
+      if (typeof stb != "undefined")
+        stb.stop().fadeTo(3500, 0);
+      if (typeof theMainImage_id == "undefined") return true;
+
+      if (theMainImage_id.selector) {
+        theMainImage_id = theMainImage_id.selector;
+      }
+      if (theMainImage_id == null) return;
+
+      if (jQuery(theMainImage_id).length == 0) {
+        if (jQuery("#pamoorama_inner").length > 0) {
+          return true;
+        }
+        // === attente Image chargée ===
+        if (tempo > 100) return true;
+        tempo++;
+        setTimeout(function () { Wait_Affichage_time(); }, 500);
+        return false;
+
+      } else {
+
+        img_h = jQuery(theMainImage_id).height();
+        img_w = jQuery(theMainImage_id).width();
+
+        if (typeof infos_theContainer == "undefined") return;
+        jQuery("#ret_autosize").trigger('ON', {
+          width: img_w,
+          height: img_h,
+          theImage: theMainImage_id,
+          img_src: infos_theMainImage.src,
+          window_height: infos_theContainer.height,
+          window_width: infos_theContainer.width
+        });
+      }
+      return true;
+    };
+    // ______________ Wait_affichage ______
+
+
+    /***************************************************************************
+    * 
+    **************************************************************************/
+    init_img = function (theImg) {
+      if (theImg.complete == false) {
+        return;
+      }
+      name_src = theImg.src;
+      stx = name_src.match(RegExp(Zone_image.src, "gi"));
+      if (stx == null) {
+        return false;
+      }
+      img_init = { width: jQuery(theImg).width(), height: jQuery(theImg).height() };
+
+      if (typeof theImg.naturalWidth != "undefined")
+        img_init.width = theImg.naturalWidth;
+      if (typeof theImg.naturalHeight != "undefined")
+        img_init.height = theImg.naturalHeight;
+      img_init.rapport = img_init.width / img_init.height;
+      if (typeof Zone_image == "undefined") Zone_image = { image: {} };
+      if (typeof Zone_image.image == "undefined")
+        Zone_image.image = { height: Zone_image.image_init.height, width: Zone_image.image_init.width };
+      // theImg.height = img_init.height;
+      // theImg.width = img_init.width;
+
+      Zone_image.image_init = { height: img_init.height, width: img_init.width, rapport: img_init.rapport };
+      Zone_image.zoom = Zone_image.image_init.height / img_init.height;
+
+      if (typeof Zone_image.src == "undefined") {
+        Zone_image.src = name_src;
+        return false;
+      }
+      stx = name_src.match(RegExp(Zone_image.src, "gi"));
+      return stx;
+    };
+    // ___________ init_img _______
+
+
+
+    // ===========================================
+    //
+    // ===========================================
+    Set_Map = function (nds) {
+      p0 = jQuery("#map").offset();
+      if (!p0) return;
+      infos_mapPicture = jQuery("#mapPicture").infos({ absolute: true });
+      infos_theContainer = jQuery(theImage_id).infos({ absolute: true });
+      jQuery("#map").removeAttr("height");
+      jQuery("#map").removeAttr("width");
+      jQuery("#map").width(infos_theContainer.width - (infos_mapPicture.width));
+      jQuery("#map").height(jQuery(window).height() - infos_theContainer.top - infos_theContainer.general.marges.height);
+      return true;
+    };
+
+    jQuery("map [name='#Autosize'] area").mouseover(function (e) {
+      return;
+    });
+    // ___ Set_Map ___
+
+    // =====================================
+    //
+    // =====================================
+    Get_Maxi = function (Maxi_image) {
+      var pt = options.liste_type;
+      if (pt.length > 0) {
+        tw = Maxi_image.width;  // valeur maxi
+        th = Maxi_image.height;  // valeur maxi
+        n = 0;
+        maxi_size = { w: Maxi_image.width, h: Maxi_image.height, idx: -1 };
+        mini_size = { w: tw, h: th, idx: 0 };
+        size_derive = { w: 0, h: 0 };
+        size_encours = { w: tw, h: th };
+        // =================================
+        jQuery(pt).each(function (i) {
+          vn = this;
+          v_pictureDeriv = vn[0]; v_imgSrc = vn[1]; v_width = parseInt(vn[2]); v_height = parseInt(vn[3]);
+          size_derive = { w: v_width, h: v_height };
+          if (v_pictureDeriv == options.pictureSelType) {
+            maxi_size = size_derive;
+            maxi_size.idx = n;
+            return false;
+          }
+
+          if (v_pictureDeriv != "square" && v_pictureDeriv != "thumb" && v_pictureDeriv != "SelMaxi" && v_pictureDeriv != "Autosize") {
+            if (size_derive.h > size_encours.h || v_pictureDeriv == "Original") {
+              if (maxi_size.idx < 0) {
+                maxi_size = size_derive;
+                maxi_size.idx = n;
+                if (options.pictureSelType == "SelMaxi" || options.pictureSelType == "Autosize")
+                  return false;
+              }
+            }
+            if (size_derive.h < size_encours.h && size_derive.h > 10) {
+              mini_size = size_derive;
+              mini_size.idx = n;
+            }
+          }
+          n++;
+        });
+        n = maxi_size.idx;
+        if (n < 0) {
+          n = mini_size.idx;
+        }
+        if (options.pictureSelType.match(RegExp("SelMaxi", "gi"))) {
+          n = mini_size.idx;
+
+        }
+        if (options.pictureSelType.match(RegExp("Autosize", "gi"))) {
+
+        }
+
+        pictureDeriv = pt[n][0];
+        last_id = pt[n][0];
+        jQuery(".switchCheck").each(function (i) {
+          if (this.id.match(RegExp("derivative", "gi"))) {
+            if (!this.id.match(RegExp("Original", "gi"))) {
+              if (this.id.match(RegExp("SelMaxi", "gi"))) return false;
+              last_id = this.id.replace("derivativeChecked", "");
+            }
+            if (last_id == pictureDeriv)
+              return false;
+          }
+        });
+
+        options.pictureDeriv = last_id;
+
+        return { url: pt[n][1], pictureDeriv: last_id, pictureMap: last_id, width: pt[n][2], height: pt[n][3] };
+      }
+      return { imgSrc: "", pictureDeriv: "", width: "", height: "" };
+    };
+    // _______________ Get_Maxi ______
+
+    /***************************************************************************
+    * Selection de l'image
+    **************************************************************************/
+    Select_Image = function () {
+      memoire = options.imgSrc;
+      if (options.imgSrc.match(RegExp("gif", "gi")))
+        return;
+      var pt = options.liste_type;
+      if (pt.length > 0) {
+        // ===== calcul Image ===
+        if (typeof imageInfos_id == "undefined") return;
+        if (Calcul_Image() == "Wait") {   // image en cours
+          return "Wait";
+        }
+        // ==================================================
+        options.theContainerMargeZone = Zone_image.marges;
+        if (Type_Img != 'charlie' && Type_Img != "pamoorama") {
+          IMg = Get_Maxi(Zone_image.image);
+          imgSrc = IMg.url;
+          if (options.imgSrc.match(RegExp(imgSrc, "gi")))
+            options.imgSrc = imgSrc;
+          // dimension image
+          img_width = IMg.width;
+          img_height = IMg.height;
+          Zone_image.image_init = { height: IMg.height,
+            width: IMg.width,
+            rapport: IMg.width / IMg.height
+          };
+          if (typeof Zone_image.image == "undefined")
+            Zone_image.image = { height: IMg.height,
+              width: IMg.width,
+              rapport: IMg.width / IMg.height
+            };
+        } else {
+          return;
+        }
+        Zone_image.zoom = Math.ceil(Zone_image.image.height / Zone_image.image_init.height);
+        if (!theImg.src)
+          return true;
+        if (typeof Zone_image.src == "undefined")
+          Zone_image.src = imgSrc;
+        if (typeof Zone_image.name == "undefined")
+          Zone_image.name = " ";
+        if (typeof Zone_image.path == "undefined")
+          Zone_image.path = " ";
+
+        imgSrcS = imgSrc.split('/');
+        imgSrcS = imgSrcS[imgSrcS.length - 1];
+        if (!theImg.src)
+          return true;
+        identique = theImg.src.match(RegExp(imgSrc, "gi"));
+        if (identique) return true;
+        href_path = get_href(IMg.pictureDeriv);
+
+        if (options.pictureSelType == "Autosize" || options.pictureSelType == "SelMaxi") {
+          spans = jQuery("#derivativeChecked" + options.pictureSelType).next();
+          spans.attr("href", "javascript:" + href_path);
+        }
+        theImg = document.getElementById(theMainImage_id.replace("#", ""));
+        if ((theImg == null) || theImg.tagName != "IMG") {
+          imgSrc_i = jQuery(theImg).css("backgroundImage");
+          imgSrc_j = jQuery(theImg).css("background-image");
+          return true;
+        } else {
+          eval(href_path);
+
+        }
+        theImg.useMap = "#map" + IMg.pictureMap;
+        return true;
+
+      } else {
+        return false;
+      }
+
+    };  // _______________ Select_Image ______
+
+
+    /***************************************************************************
+    * correction pamoorama
+    **************************************************************************/
+    Set_Pamoorama = function (Format) {
+      if (Type_Img == "pamoorama") {
+        infos_pamoorama_outter = jQuery("#pamoorama_outter").infos({ absolute: true });
+        infos_pamoorama_inner = jQuery("#pamoorama_inner").infos({ absolute: true });
+        infos_pamoorama_frame = jQuery("#pamoorama_frame").infos({ absolute: true });
+        infos_frame = jQuery(myPamoorama.frame).infos({ absolute: true });
+        // ====================================================
+        marges_w = infos_pamoorama.general.marges.width;
+        marges_h = infos_pamoorama.general.marges.height;
+
+        jQuery("#pamoorama_footer").css({
+          width: Format.width + "px"
+        });
+        infos_pamoorama_footer = jQuery("#pamoorama_footer").infos();
+        marges_h += infos_pamoorama_footer.general.height;
+        outter_height = Format.height;
+
+        Zoom_pano = (Format.height - marges_h) / Zone_image.image_init.height;
+        new_image = { height: Math.ceil(Zone_image.image_init.height * Zoom_pano),
+          width: Math.ceil(Zone_image.image_init.width * Zoom_pano)
+        };
+
+        jQuery("#pamoorama_inner").css({
+          width: new_image.width + "px", height: new_image.height + "px", "background-size": "100%"
+        });
+        // ---------- test largeur image
+        new_width = Format.width; // -(options.marge_right +
+        // options.marge_left);
+
+        if (new_width > new_image.width) {
+          new_width = new_image.width;
+          jQuery("#pamoorama_outter").css({
+
+            align: "center",
+            margin: "0"
+          });
+        }
+        outter_width = new_width;
+
+        jQuery("#pamoorama_outter").css({
+          align: 'center',
+          margin: 'auto',
+          width: outter_width + "px",
+          height: Format.height - marges_h + "px"
+        });
+        // ============= Mise à l'echelle ==================
+        window.myPamoorama.options.width = Math.ceil(Format.width);
+        // ==================================================================
+        new_max_left = new_image.width - outter_width;
+        if (!window.myPamoorama.outter) return;
+        window.myPamoorama.outter.scrollTo(new_max_left, 0);
+
+        if (typeof window.myPamoorama.autoScrollFx != "undefined") window.myPamoorama.autoScrollFx.to = new Array(new_max_left, 0);
+        window.myPamoorama.ratio = Math.ceil(new_image.width / 200);
+        window.myPamoorama.imageWidth = new_image.width;
+        window.myPamoorama.imageHeight = new_image.height;
+        nf = jQuery("#pamoorama_thumb").height();
+        jQuery("#pamoorama_thumb img").width(200);
+        jQuery("#pamoorama_thumb img").height(nf);
+
+        jQuery("#pamoorama_thumb").css({
+          /* position: "absolute", */
+          left: (Format.width - 215) + "px"
+
+        });
+        jQuery("#pamoorama_thumb img").css({
+
+        });
+        // 200=window.myPamoorama.width
+        // frame = Zone_image.container.width
+
+        nw = (window.myPamoorama.image.width * Format.width) / window.myPamoorama.imageWidth;
+        jQuery("#pamoorama_frame").width(nw);
+
+
+        if (window.myPamoorama.options.autoscrollOnLoad && infos_frame) {
+          window.myPamoorama.startAnimRight();
+        }
+      } //  
+    }; // Set_Pamoorama
+
+    /** ****************************************************** */
+
+    Toggle_bp = function () {
+      options.cl_visible = !options.cl_visible;
+      Autosize_resize();
+      Wait_Affichage();
+
+    };
+
+    // ====================================
+    // 
+    // ====================================
+    Calcul_Image = function () {
+
+      /** ************************************* */
+      if (typeof imageInfos_id == "undefined") return;
+      infos_imageInfos = jQuery(imageInfos_id).infos({ absolute: true });             // information
+      infos_theMainImage = jQuery(theMainImage_id).infos({ absolute: true });         // Image
+      // commentContent
+      // copyright
+
+      if (options.slideshow) {
+
+
+      } else {
+
+      }
+      if (typeof Zone_image.name == "undefined") {
+        var names = Array();
+        names = options.imgSrc.toString().split("/");
+        names = names[names.length - 1].split("-");
+        names = names[0].split(".");
+        Zone_image.name = names[0];
+      }
+
+      if (Type_Img == "img") {
+        Zone_image.src = jQuery(theMainImage_id).attr("src");
+        if (typeof Zone_image.src != "undefined") {
+          if (Zone_image.src.match(RegExp(Zone_image.name, "gi"))) {
+            Zone_image.path = infos_theMainImage.src;
+          } else
+            return "Wait";
+        } else {
+          Zone_image.src = "";
+          Zone_image.path = "";
+        }
+      } else {
+        Zone_image.src = jQuery(theMainImage_id).attr("src");
+        Zone_image.path = infos_theMainImage.src;
+      }
+      pos_top = options.pos_top;
+      // pos_top = infos_theContainer.top;
+
+      pos = jQuery(theImage_id).offset();
+      infos_theContainer = jQuery(theImage_id).infos({ absolute: true });   // container
+      infos_window = jQuery(window).infos({ absolute: true });   // window
+      w = infos_theContainer.general.marges.width;
+
+      container = {
+        height: infos_window.height - options.theContainerTop,
+        width: infos_window.width - options.theContainerLeft - options.theContainerRight
+      };
+      marge_left = options.marge_left | 0;
+      marge_right = options.marge_right | 0;
+      marge_top = options.marge_top | 0;
+
+
+      // ==========================================================
+      if (test_theme("stripped")) {
+        infos_the_page.margin.left = 20;  // taille fleche
+        infos_the_page.margin.right = 20;
+
+      } else if (test_theme("kardon")) {
+
+      } else if (test_theme("elegant")) {
+
+        if (infos_imageInfos.visible == true) {
+          // marge_right += infos_imageInfos.general.width; ;
+
+        } else {
+          marge_right += 0;
+
+        }
+        marge_right += 1;
+        marge_left += 1;
+
+      } else if (test_theme("stripped")) {
+
+      } else if (test_theme("simple")) {
+        infos_menubar = jQuery("#menubar").infos({ absolute: true });
+        infos_imageInfoBar = jQuery("#imageInfoBar").infos({ absolute: true });
+
+        if (infos_imageInfoBar.left - infos_theContainer.left - 2 > 0) {
+          jQuery(theImage_id).width(infos_imageInfoBar.left - infos_theContainer.left - 2);
+        }
+        marge_left += 0;
+        marge_right += 0;
+
+      } else if (test_theme("OS")) {
+
+      } else if (test_theme("pur")) {
+        marge_right += 0;
+        // marge_right += 25;
+      } else if (test_theme("mont")) {
+        marge_right += 0;
+
+        // marge_right += 25;
+
+
+      } else {
+
+
+
+      }
+
+
+      retrait_img = {};
+      // ========== Format Image ==============
+      retrait_img.height = Math.ceil(options.marges_llgbo || 0)
+      + Math.ceil(infos_theMainImage.general.marges.height) +
+      +Math.ceil(options.marges_llgbo || 0);
+      retrait_img.height += 2;
+
+
+      // ===============================================================
+      retrait_img.width = Math.ceil(infos_theMainImage.general.marges.width); // borderwidth+padding
+      retrait_img.width = Math.ceil(infos_theContainer.general.marges.width); // borderwidth+padding
+      retrait_img.width += Math.ceil(options.marges_llgbo || 0);
+      retrait_img.width += 2;
+      if (!options.check_desc_v)
+        options.marge_bottom_2 = 0;
+
+      marge_bottom = options.marge_bottom_2 + options.marge_bottom;
+      // ================== Limite Format Image =====================
+      container.height_interne = container.height - marge_top - marge_bottom;
+      container.width_interne = container.width - marge_left - marge_right;
+
+      container.height_interne = Math.max(
+    		  container.height_interne,
+    		  Math.ceil(options.mini_height) + retrait_img.height);
+      container.width_interne = Math.max(container.width_interne,
+    		  Math.ceil(options.mini_width) + retrait_img.width);
+      image_max = {
+        height: (container.height_interne - retrait_img.height),
+        width: (container.width_interne - retrait_img.width)
+      };
+      // =========================
+      // test débordement
+      // =========================
+      height_theMainImage = Math.ceil(image_max.height);
+      width_theMainImage = Math.ceil(image_max.width);
+
+      if (Type_Img == "charlie") {
+        height_theMainImage = Math.ceil(width_theMainImage / options.ratio);
+
+        Zone_image.image_init = {
+          width: width_theMainImage, height: height_theMainImage,
+          rapport: options.ratio
+        };
+
+      } else if (Type_Img == "pamoorama") {
+        if (height_theMainImage > container.height_interne) {
+          n = options.pictureSelType;
+        }
+      } else {
+
+        height_theMainImage = Math.ceil(width_theMainImage / options.ratio);
+        // --- test si taille image inferieur au container
+        if (height_theMainImage > container.height_interne) {
+          image_max.height = container.height_interne;
+          image_max.width = image_max.height * Zone_image.image_init.rapport;
+          width_theMainImage = Math.ceil(image_max.width);
+          height_theMainImage = Math.ceil(image_max.height);
+        }
+        if (width_theMainImage > container.width_interne) {
+          image_max.width = container.width_interne;
+          image_max.height = image_max.width / Zone_image.image_init.rapport;
+          width_theMainImage = Math.ceil(image_max.width);
+          height_theMainImage = Math.ceil(image_max.height);
+
+        }
+      }
+      // ======== Initilisation Zone_image ===============
+      Zone_image.image = {
+        width: width_theMainImage,
+        height: height_theMainImage,
+        rapport: width_theMainImage / height_theMainImage
+      };
+      Zone_image.marges = { width: marge_left + marge_right + retrait_img.width,
+        height: marge_top + marge_bottom + retrait_img.height
+      };
+      return true;
+    };
+
+    /***************************************************************************
+    * Calcul les dimensions.
+    **************************************************************************/
+    Get_dimensions = function (force, parametres) {
+      new_img = jQuery(theMainImage_id).infos({ absolute: true });  // image
+      Container = jQuery(theImage_id).infos({ absolute: true });    // containeur
+      new_win = jQuery(window).infos({ absolute: true });           // avec
+      // ascenseur
+      options.theContainerTop = Container.top;
+      options.theContainerLeft = Container.left;
+      options.theContainerRight = (new_win.width - Container.right);
+      options.marge_bottom_2 = Math.ceil(Container.out.bottom - new_img.bottom); // marge
+      // avec
+      // infos
+      options.marge_top_2 = options.marge_top_2 | 0;
+      Container.out.bottom = new_win.height - options.marge_bottom_2;
+      options.theContainerBottom = new_win.height - Container.out.bottom;
+      if (options.slideshow) {
+        options.marge_top = 0;
+      } else {
+        options.marge_top_2 = Math.ceil(new_img.top - Container.top) + options.marge_top;
+      }
+
+      options.theContainerWidth = new_win.width - options.theContainerLeft - options.theContainerRight;
+      options.theContainerHeight = new_win.height - options.marge_top - options.theContainerBottom - options.theContainerTop;
+
+      if (Type_Img != "map" && Type_Img != "iframe")
+        if (Select_Image() == "Wait") {
+          return "Wait";
+        }
+      useMap = options.pictureSelType;
+      // =================================================================
+      switch (Type_Img) {
+        case "map":
+          if (Set_Map(true)) return false;
+          break;
+        case "panorama":
+          if (!theMainImage_id) {
+
+          }
+          infos_theContainer = jQuery(theMainImage_id).infos();
+          infos_the_page = jQuery("#the_page").infos();
+          if (typeof img_finale == "undefined")
+            img_finale = { width: Zone_image.image.width, height: Zone_image.image.height };
+          img_finale.height = infos_theContainer.height;
+          break;
+        case "img":
+          break;
+        case "img_autre":
+          if (!theMainImage_id) {
+            if (DEBUG_autosize.match("true", "gi")) alert("The_MainImage=null");
+            return;
+
+          }
+
+          infos_the_page = jQuery("#the_page").infos();
+
+
+          break;
+        case "embed":
+          //
+          if (infos_theMainImage.width == 0)
+            infos_theMainImage = jQuery("#thePicturePage").infos();
+          if (infos_theMainImage.width == 0)
+            infos_theMainImage = jQuery("#the_page").infos();
+          iph1 = jQuery("#theImage div").infos();
+          break;
+        case "charlie":
+          Zone_image.zoom = 1;
+          Zone_image.image.width = options.theContainerWidth;
+          Zone_image.image.height = options.theContainerHeight;
+          break;
+        case "iframe":
+          wpng = 0;
+          Zone_image.image.width = options.theContainerWidth;
+          Zone_image.image.height = options.theContainerHeight;
+          Zone_image.zoom = 1;
+          break;
+        case "pamoorama":
+          if (nopano == false) Wait_pamoorama();
+          break;
+      }
+      if (options.pictureSelType != "Autosize" && options.pictureSelType != "SelMaxi") return true;
+      if (Type_Img != "pamoorama") {
+        // =========== test Hauteur Mini ====================
+        if (Zone_image.image.height < options.mini_height2) {
+          Zone_image.image.height = parseInt(options.mini_height2);
+          Zone_image.image.width = Math.ceil(Zone_image.image.height * Zone_image.image_init.rapport);
+        }
+        // =========== test Largeur Mini ====================
+        if (Zone_image.image.width < options.mini_width2) {
+          Zone_image.image.width = parseInt(options.mini_width2);
+          Zone_image.image.height = Math.ceil(Zone_image.image.width / Zone_image.image_init.rapport);
+        }
+      }
+      // Calcul du rapport d'agrandissement
+      echelle_max = parseFloat(options.echelle_max, '3');
+      // =========== test Zoom Maxi ====================
+      Zone_image.zoom = Zone_image.image.height / Zone_image.image_init.height;
+      if (Zone_image.zoom > echelle_max) {
+        Zone_image.zoom = echelle_max;
+        if (Type_Img == "pamoorama") {
+          Zone_image.image.height = parseInt(Zone_image.image_init.height * Zone_image.zoom);
+        } else {
+          Zone_image.image.width = parseInt(Zone_image.image_init.width * Zone_image.zoom);
+
+          if (Zone_image.image_init.rapport > 0)
+            Zone_image.image.height = parseInt(Zone_image.image.width / Zone_image.image_init.rapport);
+        }
+      }
+      if (Type_Img != "pamoorama") {
+        mxi = Math.ceil(Zone_image.image.height + Zone_image.marges.height);
+        Zone_image.container.height = Math.max(Zone_image.container.height | mxi, mxi);
+        mxi = Math.ceil(Zone_image.image.width + Zone_image.marges.width);
+        Zone_image.container.width = Math.max(Zone_image.container.width | mxi, mxi);
+        img_finale = { width: Zone_image.image.width, height: Zone_image.image.height };
+      } else {
+        img_finale = { width: Zone_image.image.width, height: Zone_image.image.height };
+      }
+
+      return true;
+    };
+    // ________________ Get_dimensions ___________________
+
+
+    /***************************************************************************
+    * init_gen
+    **************************************************************************/
+    init_gen = function (e) {
+      theImg = document.getElementById(theMainImage_id.replace("#", ""));
+      // ==================================================
+      marges_llgbo = 0;
+      options.marges_llgbo = 0;
+      if (jQuery(llgbo_id).length > 0) {
+        infos_llgbo = jQuery(llgbo_id).infos({ absolute: true });
+        if (infos_llgbo.visible == true) {
+          if (infos_llgbo.height > 0) {
+            infos_llgboframe1 = jQuery(llgbo_id + " div:last").infos();
+            infos_llgboframe31 = jQuery(llgbo_id + "  div:first").infos();
+            // =============================================
+            ll2 = infos_llgboframe1.width; // llgboframe1
+            ll1 = infos_llgboframe31.general.width; // llgboframe31
+            options.marges_llgbo = (ll1 - ll2);
+            infos_llgboh2 = jQuery("#llgboh2").infos();
+          }
+        }
+
+        marges_llgbo = options.marges_llgbo;
+      }
+
+      // ========= Récupération des informations =============
+
+      options.marge_top = 0;
+      pAll = jQuery(llgbo_id).absoluteAll({ absolute: true });
+      infos_llgbo.top = pAll.Top;
+      infos_llgbo.bottom = pAll.Bottom;
+      pAll = jQuery(theMainImage_id).absoluteAll({ absolute: true });
+      pos_top = pAll.Top; ;
+      pos_bottom = pAll.Bottom; ;
+      if (infos_llgbo.top > 0) {
+        pos_top = infos_llgbo.top;
+        options.marge_top = infos_theMainImage.top - infos_theContainer.top;
+        options.marge_bottom = Math.ceil(options.marge_basse + options.marge_top);
+
+      } else {
+        pos_top = infos_theImageAndInfos.top;
+        options.marge_bottom = Math.ceil(options.marge_basse);
+      }
+
+      options.pos_top = pos_top;
+      new_img = jQuery(theMainImage_id).infos({ absolute: true });
+      Container = jQuery(theImage_id).infos({ absolute: true });
+      options.marge_top += Math.ceil(new_img.top - Container.top);
+
+
+      options.marge_left = infos_theContainer.general.marges.left + Math.ceil(options.marge_gauche);
+      options.marge_right = infos_theContainer.general.marges.right + Math.ceil(options.marge_droite);
+      options.marge_top += infos_theContainer.general.marges.top +
+                           infos_content.general.marges.top +
+                           Math.ceil(options.marge_haute);
+
+
+      if (options.pictureDeriv == null)
+        options.first = true;
+      else
+        options.first = false;
+      // =================== Gestion liste photos size
+      us = 0;
+      if (!options.theMainImageWidth) options.theMainImageWidth = options.scaledWidth;
+      if (!options.theMainImageHeight) options.theMainImageHeight = options.scaledHeight;
+
+      if (options.first) {
+        if (options.pictureDeriv) {
+
+          pictureSelType = options.pictureSelType;
+          options.pictureMap = options.pictureDeriv;
+
+        } else {
+          IMg = Get_Maxi(Zone_image.image);
+          options.pictureDeriv = IMg.pictureDeriv;
+          imgSrc = IMg.url;
+          width = IMg.width;
+          height = IMg.height;
+          options.pictureDeriv = IMg.pictureDeriv;
+          options.pictureMap = IMg.pictureMap;
+        }
+      }
+      if (pictureSelType_user != options.pictureSelType) {
+        /*
+        * user_status = options.user_status; pictureSelType_user =
+        * eval("options." + user_status + "_type"); //limite taille
+        */
+        pictureDeriv_user = options.pictureDeriv;
+        options.pictureDeriv_user = pictureDeriv_user;
+        pictureSelType = options.pictureSelType;
+      }
+      // Affiche_limite(pictureSelType_user);
+      pictureDeriv = Ajuste_Liens();
+
       Autosize_resize(true, options);
       Autosize_resize(true, options);
